Ticket #42439

Fix build failure on older OS X versions

Open Date: 2021-05-31 18:04 Last Update: 2021-06-04 10:08

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

Build can fail due to including sys/random.h when it's not needed. Example failure: https://build.macports.org/builders/ports-10.11_x86_64-builder/builds/139520/steps/install-port/logs/stdio

Pull request with proposed fix: https://github.com/freeciv/freeciv/pull/29

Ticket History (3/5 Histories)

2021-05-31 18:04 Updated by: None
  • New Ticket "Fix build failure on older OS X versions" created
2021-05-31 18:46 Updated by: cazfi
Comment

Should not check boolean value of those macros, but if they both are defined (at all): #if defined() && defined()

2021-05-31 18:47 Updated by: cazfi
2021-06-02 10:35 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

Reply To cazfi

Should not check boolean value of those macros, but if they both are defined (at all): #if defined() && defined()

There's now a new version of the pull request with this fixed. It applies cleanly to all branches.

2021-06-04 10:08 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login